<mat-card [appearance]="'outlined'">
    <mat-card-header>
        <mat-card-title>Error</mat-card-title>
    </mat-card-header>
    <mat-card-content>
        <div *ngIf="errorType == 0"> <!-- Http error -->
            <p>{{httpErrorResponse?.status}}: {{httpErrorResponse?.statusText}}</p>
            <p>Error: {{httpErrorResponse?.error}}</p>
            <p>Message: {{httpErrorResponse?.message}}</p>
        </div>
        <div *ngIf="errorType == 1"> <!-- Defined error -->
            <p>Name: {{definedExecutionError?.displayName}}</p>
            <p>Description: {{definedExecutionError?.description}}</p>
            <p>Message: {{definedError?.message}}</p>
        </div>
        <div *ngIf="errorType == 2"> <!-- Undefined error -->
            <p>Type: {{undefinedError?.type}}</p>
            <p>Message: {{undefinedError?.message}}</p>
        </div>
        <div *ngIf="errorType == 3"> <!-- Other error -->
            <p>Message: {{errorMessage}}</p>
        </div>
    </mat-card-content>
</mat-card>